## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Interface ImperativeOCLVisitor<T>

All Superinterfaces:
  org.eclipse.ocl.utilities.Visitor<T,org.eclipse.emf.ecore.EClassifier,org.eclipse.emf.ecore.EOperation,org.eclipse.emf.ecore.EStructuralFeature,org.eclipse.emf.ecore.EEnumLiteral,org.eclipse.emf.ecore.EParameter,org.eclipse.emf.ecore.EObject,org.eclipse.ocl.ecore.CallOperationAction,org.eclipse.ocl.ecore.SendSignalAction,org.eclipse.ocl.ecore.Constraint>

All Known Implementing Classes:
  ImperativeOCLToStringVisitor

    public interface ImperativeOCLVisitor<T>

extends org.eclipse.ocl.utilities.Visitor<T,org.eclipse.emf.ecore.EClassifier,org.eclipse.emf.ecore.EOperation,org.eclipse.emf.ecore.EStructuralFeature,org.eclipse.emf.ecore.EEnumLiteral,org.eclipse.emf.ecore.EParameter,org.eclipse.emf.ecore.EObject,org.eclipse.ocl.ecore.CallOperationAction,org.eclipse.ocl.ecore.SendSignalAction,org.eclipse.ocl.ecore.Constraint>

An `OCL Visitor` extension, to visit `ImperativeOCL expressions`.

Method Summary
`T` `visitAltExp(AltExp astNode)`
`T` `visitAssertExp(AssertExp astNode)`
`T` `visitAssignExp(AssignExp astNode)`
`T` `visitBlockExp(BlockExp astNode)`
`T` `visitBreakExp(BreakExp astNode)`
`T` `visitCatchtExp(CatchExp astNode)`
`T` `visitComputeExp(ComputeExp astNode)`
`T` `visitContinueExp(ContinueExp astNode)`
`T` `visitDictLiteralExp(DictLiteralExp astNode)`
`T` `visitDictLiteralPart(DictLiteralPart astNode)`
`T` `visitForExp(ForExp astNode)`
`T` `visitImperativeIterateExp(ImperativeIterateExp astNode)`
`T` `visitInstantiationExp(InstantiationExp astNode)`
`T` `visitLogExp(LogExp astNode)`
`T` `visitOrderedTupleLiteralExp(OrderedTupleLiteralExp astNode)`
`T` `visitOrderedTupleLiteralPart(OrderedTupleLiteralPart astNode)`
`T` `visitRaiseExp(RaiseExp astNode)`
`T` `visitReturnExp(ReturnExp astNode)`
`T` `visitSwitchExp(SwitchExp astNode)`
`T` `visitTryExp(TryExp astNode)`
`T` `visitUnlinkExp(UnlinkExp astNode)`
`T` `visitUnpackExp(UnpackExp astNode)`
`T` `visitVariableInitExp(VariableInitExp astNode)`
`T` `visitWhileExp(WhileExp astNode)`

Methods inherited from interface org.eclipse.ocl.utilities.Visitor

`visitAssociationClassCallExp, visitBooleanLiteralExp, visitCollectionItem, visitCollectionLiteralExp, visitCollectionRange, visitConstraint, visitEnumLiteralExp, visitExpressionInOCL, visitIfExp, visitIntegerLiteralExp, visitInvalidLiteralExp, visitIterateExp, visitIteratorExp, visitLetExp, visitMessageExp, visitNullLiteralExp, visitOperationCallExp, visitPropertyCallExp, visitRealLiteralExp, visitStateExp, visitStringLiteralExp, visitTupleLiteralExp, visitTupleLiteralPart, visitTypeExp, visitUnlimitedNaturalLiteralExp, visitUnspecifiedValueExp, visitVariable, visitVariableExp`

Method Detail

### visitAltExp

    T visitAltExp(AltExp astNode)

### visitAssertExp

    T visitAssertExp(AssertExp astNode)

### visitAssignExp

    T visitAssignExp(AssignExp astNode)

### visitBlockExp

    T visitBlockExp(BlockExp astNode)

### visitBreakExp

    T visitBreakExp(BreakExp astNode)

### visitCatchtExp

    T visitCatchtExp(CatchExp astNode)

### visitComputeExp

    T visitComputeExp(ComputeExp astNode)

### visitContinueExp

    T visitContinueExp(ContinueExp astNode)

### visitDictLiteralExp

    T visitDictLiteralExp(DictLiteralExp astNode)

### visitDictLiteralPart

    T visitDictLiteralPart(DictLiteralPart astNode)

### visitForExp

    T visitForExp(ForExp astNode)

### visitImperativeIterateExp

    T visitImperativeIterateExp(ImperativeIterateExp astNode)

### visitInstantiationExp

    T visitInstantiationExp(InstantiationExp astNode)

### visitLogExp

    T visitLogExp(LogExp astNode)

### visitOrderedTupleLiteralExp

    T visitOrderedTupleLiteralExp(OrderedTupleLiteralExp astNode)

### visitOrderedTupleLiteralPart

    T visitOrderedTupleLiteralPart(OrderedTupleLiteralPart astNode)

### visitRaiseExp

    T visitRaiseExp(RaiseExp astNode)

### visitReturnExp

    T visitReturnExp(ReturnExp astNode)

### visitSwitchExp

    T visitSwitchExp(SwitchExp astNode)

### visitTryExp

    T visitTryExp(TryExp astNode)

### visitUnlinkExp

    T visitUnlinkExp(UnlinkExp astNode)

### visitUnpackExp

    T visitUnpackExp(UnpackExp astNode)

### visitVariableInitExp

    T visitVariableInitExp(VariableInitExp astNode)

### visitWhileExp

    T visitWhileExp(WhileExp astNode)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.